Bug 495214 - Strange dependency (dbus-bluez-pin-helper)
Strange dependency (dbus-bluez-pin-helper)
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
: 507961 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-10 08:58 EDT by sangu
Modified: 2014-01-21 18:08 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-11 10:50:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description sangu 2009-04-10 08:58:14 EDT
Description of problem:
bluez requrires dbus-bluez-pin-helper.
Then yum installs not bluez-gnome and  kdebluethooth.

$ yum install bluez
Repository rawhide is listed more than once in the configuration
Repository rawhide-debuginfo is listed more than once in the configuration
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package bluez.i586 0:4.34-3.fc11 set to be updated
--> Processing Dependency: dbus-bluez-pin-helper for package: bluez
--> Running transaction check
---> Package kdebluetooth.i586 1:0.3-3.fc11 set to be updated
--> Processing Dependency: solid-bluetooth >= 4.3 for package: kdebluetooth
--> Processing Dependency: libkfile.so.4 for package: kdebluetooth
--> Processing Dependency: libQtCore.so.4 for package: kdebluetooth
--> Processing Dependency: libsolidcontrol.so.4 for package: kdebluetooth
--> Processing Dependency: libQtDBus.so.4 for package: kdebluetooth
--> Processing Dependency: libkdeui.so.5 for package: kdebluetooth
--> Processing Dependency: libkio.so.5 for package: kdebluetooth
--> Processing Dependency: libQtSvg.so.4 for package: kdebluetooth
--> Processing Dependency: libsolid.so.4 for package: kdebluetooth
--> Processing Dependency: libQtNetwork.so.4 for package: kdebluetooth
--> Processing Dependency: libkdecore.so.5 for package: kdebluetooth
--> Processing Dependency: libQtXml.so.4 for package: kdebluetooth
--> Processing Dependency: libQtGui.so.4 for package: kdebluetooth
--> Running transaction check
---> Package kdebase-workspace-libs.i586 0:4.2.2-2.fc11 set to be updated
--> Processing Dependency: kdebase-workspace = 4.2.2-2.fc11 for package: kdebase-workspace-libs
--> Processing Dependency: libsoprano.so.4 for package: kdebase-workspace-libs
---> Package kdelibs.i586 6:4.2.2-4.fc11 set to be updated
--> Processing Dependency: kde4-macros(api) = 2 for package: kdelibs
--> Processing Dependency: kde-filesystem >= 4-23 for package: kdelibs
--> Processing Dependency: strigi-libs(x86-32) >= 0.6.3 for package: kdelibs
--> Processing Dependency: phonon(x86-32) >= 4.3.0 for package: kdelibs
--> Processing Dependency: libstreams.so.0 for package: kdelibs
--> Processing Dependency: kde-settings for package: kdelibs
--> Processing Dependency: libstreamanalyzer.so.0 for package: kdelibs
--> Processing Dependency: libphonon.so.4 for package: kdelibs
--> Processing Dependency: kdelibs-common for package: kdelibs
---> Package qt.i586 1:4.5.0-12.fc11 set to be updated
---> Package qt-x11.i586 1:4.5.0-12.fc11 set to be updated
--> Running transaction check
---> Package kde-filesystem.noarch 0:4-25.fc11 set to be updated
---> Package kde-settings.noarch 0:4.2-4.20090225svn.fc11 set to be updated
--> Processing Dependency: oxygen-icon-theme for package: kde-settings
--> Processing Dependency: solar-kde-theme for package: kde-settings
---> Package kdebase-workspace.i586 0:4.2.2-2.fc11 set to be updated
--> Processing Dependency: kdm = 4.2.2-2.fc11 for package: kdebase-workspace
--> Processing Dependency: ksysguardd = 4.2.2-2.fc11 for package: kdebase-workspace
--> Processing Dependency: kdebase-runtime >= 4.2.2 for package: kdebase-workspace
--> Processing Dependency: libqedje.so.0 for package: kdebase-workspace
--> Processing Dependency: libqzion.so.0 for package: kdebase-workspace
--> Processing Dependency: libeet.so.1 for package: kdebase-workspace
--> Processing Dependency: kio_sysinfo for package: kdebase-workspace
--> Processing Dependency: libsyndication.so.4 for package: kdebase-workspace
--> Processing Dependency: libqimageblitz.so.4 for package: kdebase-workspace
---> Package kdelibs-common.i586 6:4.2.2-4.fc11 set to be updated
---> Package phonon.i586 0:4.3.1-2.fc11 set to be updated
--> Processing Dependency: phonon-backend >= 4.3.1 for package: phonon
---> Package soprano.i586 0:2.2.3-1.fc11 set to be updated
--> Processing Dependency: libclucene.so.0 for package: soprano
---> Package strigi-libs.i586 0:0.6.4-3.fc11 set to be updated
--> Processing Dependency: libexiv2.so.5 for package: strigi-libs
--> Running transaction check
---> Package clucene-core.i586 0:0.9.21-2.fc11 set to be updated
---> Package eet.i586 0:1.1.0-2.fc11 set to be updated
---> Package exiv2-libs.i586 0:0.18-2.fc11 set to be updated
---> Package kdebase-runtime.i586 0:4.2.2-3.fc11 set to be updated
--> Processing Dependency: kdebase-runtime-libs(x86-32) = 4.2.2-3.fc11 for package: kdebase-runtime
--> Processing Dependency: libkwalletbackend.so.4 for package: kdebase-runtime
--> Processing Dependency: htdig for package: kdebase-runtime
---> Package kdepimlibs.i586 0:4.2.2-3.fc11 set to be updated
---> Package kdm.i586 0:4.2.2-2.fc11 set to be updated
--> Processing Dependency: kde-settings-kdm for package: kdm
---> Package kio_sysinfo.i586 0:20090216-3.fc11 set to be updated
---> Package ksysguardd.i586 0:4.2.2-2.fc11 set to be updated
---> Package oxygen-icon-theme.noarch 0:4.2.2-1.fc11 set to be updated
---> Package phonon-backend-xine.i586 0:4.3.1-2.fc11 set to be updated
---> Package qedje.i586 0:0.4.0-1.fc11 set to be updated
---> Package qimageblitz.i586 0:0.0.4-0.5.svn706674.fc11 set to be updated
---> Package qzion.i586 0:0.4.0-1.fc11 set to be updated
---> Package solar-kde-theme.noarch 0:0.1.17-4.fc11 set to be updated
--> Processing Dependency: solar-backgrounds-common >= 0.91.0 for package: solar-kde-theme
--> Running transaction check
---> Package htdig.i586 4:3.2.0-0.6.b6.fc11 set to be updated
---> Package kde-settings-kdm.noarch 0:4.2-4.20090225svn.fc11 set to be updated
--> Processing Dependency: xorg-x11-xdm for package: kde-settings-kdm
---> Package kdebase-runtime-libs.i586 0:4.2.2-3.fc11 set to be updated
---> Package solar-backgrounds-common.noarch 0:0.92.0-2.fc11 set to be updated
--> Running transaction check
---> Package xorg-x11-xdm.i586 1:1.1.6-7.fc11 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package                    Arch     Version                    Repository
                                                                           Size
================================================================================
Installing:
 bluez                      i586     4.34-3.fc11                rawhide   456 k
Installing for dependencies:
 clucene-core               i586     0.9.21-2.fc11              rawhide   350 k
 eet                        i586     1.1.0-2.fc11               rawhide    44 k
 exiv2-libs                 i586     0.18-2.fc11                rawhide   826 k
 htdig                      i586     4:3.2.0-0.6.b6.fc11        rawhide   1.0 M
 kde-filesystem             noarch   4-25.fc11                  rawhide    21 k
 kde-settings               noarch   4.2-4.20090225svn.fc11     rawhide    36 k
 kde-settings-kdm           noarch   4.2-4.20090225svn.fc11     rawhide    24 k
 kdebase-runtime            i586     4.2.2-3.fc11               rawhide   6.7 M
 kdebase-runtime-libs       i586     4.2.2-3.fc11               rawhide   1.3 M
 kdebase-workspace          i586     4.2.2-2.fc11               rawhide    12 M
 kdebase-workspace-libs     i586     4.2.2-2.fc11               rawhide   751 k
 kdebluetooth               i586     1:0.3-3.fc11               rawhide   166 k
 kdelibs                    i586     6:4.2.2-4.fc11             rawhide    14 M
 kdelibs-common             i586     6:4.2.2-4.fc11             rawhide   364 k
 kdepimlibs                 i586     4.2.2-3.fc11               rawhide   2.0 M
 kdm                        i586     4.2.2-2.fc11               rawhide   1.5 M
 kio_sysinfo                i586     20090216-3.fc11            rawhide   355 k
 ksysguardd                 i586     4.2.2-2.fc11               rawhide    71 k
 oxygen-icon-theme          noarch   4.2.2-1.fc11               rawhide    15 M
 phonon                     i586     4.3.1-2.fc11               rawhide   154 k
 phonon-backend-xine        i586     4.3.1-2.fc11               rawhide   165 k
 qedje                      i586     0.4.0-1.fc11               rawhide    93 k
 qimageblitz                i586     0.0.4-0.5.svn706674.fc11   rawhide    59 k
 qt                         i586     1:4.5.0-12.fc11            rawhide   3.8 M
 qt-x11                     i586     1:4.5.0-12.fc11            rawhide    16 M
 qzion                      i586     0.4.0-1.fc11               rawhide    64 k
 solar-backgrounds-common   noarch   0.92.0-2.fc11              rawhide   5.2 M
 solar-kde-theme            noarch   0.1.17-4.fc11              rawhide   289 k
 soprano                    i586     2.2.3-1.fc11               rawhide   692 k
 strigi-libs                i586     0.6.4-3.fc11               rawhide   467 k
 xorg-x11-xdm               i586     1:1.1.6-7.fc11             rawhide   138 k

Transaction Summary
================================================================================
Install     32 Package(s)         
Update       0 Package(s)         
Remove       0 Package(s)         


Version-Release number of selected component (if applicable):
4.34-3

How reproducible:
always

Steps to Reproduce:
1. yum install bluez
2.
3.
  
Actual results:
only kdebluetooth

Expected results:
bluez-gnome in GNOME.
kdebluetooth in KDE.

Additional info:
yum-3.2.22-4.fc11.noarch
Comment 1 Bastien Nocera 2009-04-10 09:55:02 EDT
This isn't anything that the bluez package can help with. We can't guess which desktop you run (or want to run).

Oh, and bluez-gnome is dead, gnome-bluetooth would get installed for a GNOME desktop.
Comment 2 seth vidal 2009-04-13 11:45:30 EDT
What is it that you want to have happen here? It seems like yum is resolving based on what you have installed and it looks like the resolution is, at least dependency-wise, correct.

Can you explain what the problem is in a bit more detail?
Comment 3 seth vidal 2009-05-11 10:50:16 EDT
closing due to lack of a response.
Comment 4 Bastien Nocera 2009-06-24 17:05:21 EDT
*** Bug 507961 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.